#include <algorithm>
#include  <iostream>
#include <vector>

using namespace std;
using ll = long long;

string sum(string a, string b) {
    string answer;
    ll j;
    if (a.length() < b.size()) {
        swap(a, b);
    }
    for (j = 0; j < b.size(); j++) {
        answer.push_back(max(a[j], b[j]));
    }
    for (; j < a.size(); j++) {
        answer.push_back(a[j]);
    }
    return answer;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    string a, b;
    cin >> a >> b;
    reverse(a.begin(), a.end());
    reverse(b.begin(), b.end());
    string answer = sum(a, b);
    reverse(answer.begin(), answer.end());
    cout << answer << " ";
    if(a.size() < b.size()) {
        swap(a, b);
    }
    ll i = 0;
    ll j = 0;
    vector<string> v;
    for(i = 0; i < b.size(); i++) {
        string t;
        for(ll k = 0; k < i; k++) {
            t.push_back('0');
        }
        for (j = 0; j < a.size(); j++) {
            t.push_back(min(a[j], b[i]));
        }
        v.push_back(t);
    }
    if (v.size() < 2) {
        reverse(v[0].begin(), v[0].end());
        cout << v[0] << endl;
    }
    else {
        string summa = sum(v[0], v[1]);
        for (i = 2; i < v.size(); i++) {
            summa = sum(summa, v[i]);
        }
        reverse(summa.begin(), summa.end());
        cout << summa << " ";
    }
}
